package com.qmth.digit.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.digit.print.business.bean.dto.TemplateDto;
import com.qmth.digit.print.business.bean.query.TemplateParam;
import com.qmth.digit.print.business.entity.BasicTemplate;

/**
 * <p>
 * 通用模板 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicTemplateService extends IService<BasicTemplate> {

    IPage<TemplateDto> list(TemplateParam param);

    boolean saveTemplate(BasicTemplate template);

    boolean enable(BasicTemplate template);
}
